Public Member Functions | Public Attributes | List of all members
StarObjectChartInternal::State Struct Reference

Internal: the state of a StarObjectChart. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
std::shared_ptr< Chart > | m_chart
| the chart
std::shared_ptr< StarObjectModel > | m_model
| the model

## Detailed Description

Internal: the state of a StarObjectChart.

## Constructor & Destructor Documentation

## ◆ State()

StarObjectChartInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_chart

std::shared_ptr<Chart> StarObjectChartInternal::State::m_chart

the chart

## ◆ m_model

std::shared_ptr<StarObjectModel> StarObjectChartInternal::State::m_model

the model

The documentation for this struct was generated from the following file:

- StarObjectChart.cxx